The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

upgrading php on cpanel box

Discussion in 'General Discussion' started by prof, Apr 28, 2007.

  1. prof

    prof Member

    Joined:
    Jan 22, 2005
    Messages:
    14
    Likes Received:
    0
    Trophy Points:
    1
    hi all ,

    as you know that cpane installed automaticlly with php 4.4.2 ,
    is there any idea to recompile the php to an earlier version such as 4.4.6 ?

    also how can i make a custom settings to cpsrvd .. like we made on apache by customizing httpd.conf .. ?

    waiting
     
  2. AMD64

    AMD64 Active Member

    Joined:
    Jun 19, 2005
    Messages:
    27
    Likes Received:
    0
    Trophy Points:
    1
    You can upgrade PHP and Apache in WHM - Software - Apache Update
    Choose the PHP version you want and click "start build" button.

    You can also do this in SSH as root user by running

    /scripts/easyapache
     
  3. prof

    prof Member

    Joined:
    Jan 22, 2005
    Messages:
    14
    Likes Received:
    0
    Trophy Points:
    1
    thanks dear , but it will updrade php in apache box .

    i want to upgrade the php version which come standered with cpane under cpanel server .

    waiting .
     
  4. AMD64

    AMD64 Active Member

    Joined:
    Jun 19, 2005
    Messages:
    27
    Likes Received:
    0
    Trophy Points:
    1
    yes, it will update PHP to whatever version you choose
     
  5. nickp666

    nickp666 Well-Known Member

    Joined:
    Jan 28, 2005
    Messages:
    770
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    /dev/null
    From the above post I assume they are after recompiling php that runs under cpsrvd which is NOT affected by running easyapache.

    In answer to the internal cpanel php upgrade, its still stuck at 4.4.2, if its lower than that on your box run /scripts/makecpphp and it will bring it up to 4.4.2 other than that I cant help here
     
Loading...

Share This Page